function BM_sequence = binary(PM_size, FS_zero)
% BM_sequence = binary(PM_size, FS_zero)
%
% BINARY: Random binary sequence generator
%    binary(PM_size, FS_zero) generates a random binary matrix of the
%    size PM_size where Prob(0) = FS_zero.
%    default FS_zero is 0.5.

if (nargin < 2)
   FS_zero = 0.5;
end;
if (size(PM_size) == [1 1])
   PM_size(2) = PM_size(1);
   PM_size(1) = 1;
end;
BM_sequence = ceil(rand(PM_size) - FS_zero);
