function w = bpsk_2_swbpsk(b)
% b is only 1 data symbol.

% Stores all the possible constellation values in the b_array and the w_array.  W is the ASC.
b_array = signal_constellation('BPSK');
w_array = signal_constellation('QAsymBPSK');

% Distance of the point of the data symbol wrt all of the constellation points in the constellation.
dist = abs(b - b_array).^2;

% y = minimum distance value and n = position of min dist value, ie: the constellation point that gives min distance.
% This dist calculation gives us the point that is transmitted by the original data symbol and thus is the point
% that we want to encode in the ASC.  The function param only gives the value of the symbol, and we need some way to determine
% the position of that symbol value in the constellation in terms of indices.  Therefore, the lines above complete this job.
[y, n] = min(dist);
% Returns the ASC point that the original symbol transmitted.
w = w_array(n);