function CR_dbpsk = delayed_dbpsk(CR_bpsk, PS_delay, CR_ref)
% CR_dbpsk = delayed_dbpsk(CR_bpsk, PS_delay, CR_ref)

if (nargin < 2)
   PS_delay = 1;
end;
if (nargin < 3)
   CR_ref = +ones(1,PS_delay);
end;
PS_length = ceil(length(CR_bpsk)/PS_delay);
PS_padded = PS_length*PS_delay;
CR_padded_bpsk = [CR_bpsk zeros(1,PS_padded-length(CR_bpsk))];
for n = 1 : PS_delay
   CR_padded_dbpsk(n:PS_delay:PS_padded) = dbpsk(CR_padded_bpsk(n:PS_delay:PS_padded), CR_ref(n));
end;
CR_dbpsk = CR_padded_dbpsk(1:length(CR_bpsk));