function CR_bpsk = inv_delayed_dbpsk(CR_dbpsk, PS_delay, CR_ref)
% CR_bpsk = inv_delayed_dbpsk(CR_dbpsk, PS_delay, CR_ref)

if (nargin < 2)
   PS_delay = 1;
end;
if (nargin < 3)
   CR_ref = +ones(1,PS_delay);
end;
PS_length = ceil(length(CR_dbpsk)/PS_delay);
PS_padded = PS_length*PS_delay;
CR_padded_dbpsk = [CR_dbpsk zeros(1,PS_padded-length(CR_dbpsk))];
for n = 1 : PS_delay
   CR_padded_bpsk(n:PS_delay:PS_padded) = invdbpsk(CR_padded_dbpsk(n:PS_delay:PS_padded), CR_ref(n));
end;
CR_bpsk = CR_padded_bpsk(1:length(CR_dbpsk));