function CR_qpsk = inv_delayed_dqpsk(CR_dqpsk, PS_delay, CR_ref)
% CR_qpsk = inv_delayed_dqpsk(CR_dqpsk, PS_delay, CR_ref)

if (nargin < 2)
   PS_delay = 1;
end;
if (nargin < 3)
   CR_ref = +ones(1,PS_delay);
end;
PS_length = ceil(length(CR_dqpsk)/PS_delay);
PS_padded = PS_length*PS_delay;
CR_padded_dqpsk = [CR_dqpsk zeros(1,PS_padded-length(CR_dqpsk))];
for n = 1 : PS_delay
   CR_padded_qpsk(n:PS_delay:PS_padded) = invdqpsk(CR_padded_dqpsk(n:PS_delay:PS_padded), CR_ref(n));
end;
CR_qpsk = CR_padded_qpsk(1:length(CR_dqpsk));