function RR_sqrttrrcos = sqrttrrcos(RS_duration, RS_dt, RS_truncation, RS_period)

RS_numPoint = ceil(RS_duration / RS_dt);
RS_df = 1 / RS_dt / RS_numPoint;
RS_begin = -(RS_numPoint/2)*RS_df;
RS_end = (RS_numPoint/2)*RS_df;
RS_freq = [RS_begin:RS_df:RS_end];
RR_sqrtrcos_1  = sqrt(rcosf(RS_freq, 1.0 , RS_period))/RS_dt;
RR_sqrtrcos_tr = sqrt(rcosf(RS_freq, RS_truncation , RS_period))/RS_dt;

RR_sqrttrrcos = RR_sqrtrcos_1;
RR_sqrttrrcos(find(RR_sqrtrcos_tr == 0)) = 0;

v = version;
if strcmp(v,'5.2.0.3084')
   RR_sqrttrrcos = real(fftshift(ifft(ifftshift(RR_sqrttrrcos))));
elseif strcmp(v,'5.0.0.4064')
   RR_sqrttrrcos = real(fftshift(ifft(ext_ifftshift(RR_sqrttrrcos))));
else
   RR_sqrttrrcos = real(fftshift(ifft(ifftshift(RR_sqrttrrcos))));
end;